uima-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Hai-son X Nguyen <Hai-Son.Ngu...@kp.org>
Subject JCasGen classes for V3 compiler warnings
Date Fri, 31 May 2019 17:01:14 GMT
Hello,

I am testing migrating to UIMA V3 (3.0.2) and am seeing a variety of warnings in Eclipse (2019-03,
Java 8) using the plugin (v3.0.2).

There are 3 types of warnings:

  1.  “FSArray is a raw type. References to generic type FSArray<T> should be parameterized.”
  2.  “The import XXX is never used”
     *   java.lang.invoke.CallSite
     *   java.lang.invoke.MethodHandle
     *   and org.apache.uima.cas.impl.TypeSystemImpl)
  3.  And “The constructor XXX() is deprecated”

Is it appropriate to open a JIRA ticket for these problems?

Thanks!

Hai-Son Nguyen
IT Consultant Principal
Medical Informatics
Systems, Solutions, and Deployment
Office: 858.523.6415
📱: 858.876.7177


NOTICE TO RECIPIENT:  If you are not the intended recipient of this e-mail, you are prohibited
from sharing, copying, or otherwise using or disclosing its contents.  If you have received
this e-mail in error, please notify the sender immediately by reply e-mail and permanently
delete this e-mail and any attachments without reading, forwarding or saving them.  Thank
you.


NOTICE TO RECIPIENT:  If you are not the intended recipient of this e-mail, you are prohibited
from sharing, copying, or otherwise using or disclosing its contents.  If you have received
this e-mail in error, please notify the sender immediately by reply e-mail and permanently
delete this e-mail and any attachments without reading, forwarding or saving them.  Thank
you.
Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message